﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BlockInput : MonoBehaviour
{

    public Character character;
    public BlockReader blockReader;

    public void Update()
    {
        if (Input.GetKeyDown(KeyCode.Space))
            ReadNext();
    }

    [ContextMenu ("Read Next")]
    public void ReadNext()
    {
        blockReader.Read(character);
    }

}
